Skip to content
Start here

Create new saved string queries

client.brandProtection.queries.create(QueryCreateParams { account_id, id, body_scan, 4 more } params, RequestOptionsoptions?): void
POST/accounts/{account_id}/brand-protection/queries

Return a success message after creating new saved string queries

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
params: QueryCreateParams { account_id, id, body_scan, 4 more }
account_id: string

Path param

minLength1
id?: string

Query param

body_scan?: boolean

Body param

body_tag?: string

Body param

max_time?: string | null

Body param

formatdate-time
min_time?: string | null

Body param

formatdate-time
string_matches?: unknown

Body param

Create new saved string queries

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.brandProtection.queries.create({ account_id: 'x' });
Returns Examples